{% extends 'base.html' %}
{% block title %} Kwizzer - Sign up {% endblock %}
{% block extra_head %}
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"></script>

             <style>
                body {
                    color: #fff;
                    background: #3598dc;
                    font-family: 'Roboto', sans-serif;
                }

                .form-control {
                    height: 41px;
                    background: #f2f2f2;
                    box-shadow: none !important;
                    border: none;
                }

                .form-control:focus {
                    background: #e2e2e2;
                }

                .form-control, .btn {
                    border-radius: 3px;
                }

                .signup-form {
                    width: 400px;
                    margin: 30px auto;
                }

                .signup-form form {
                    color: #999;
                    border-radius: 3px;
                    margin-bottom: 15px;
                    background: #fff;
                    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);
                    padding: 30px;
                }

                .signup-form h2 {
                    color: #333;
                    font-weight: bold;
                    margin-top: 0;
                }

                .signup-form hr {
                    margin: 0 -30px 20px;
                }

                .signup-form .form-group {
                    margin-bottom: 20px;
                }

                .signup-form input[type="checkbox"] {
                    margin-top: 3px;
                }

                .signup-form .row div:first-child {
                    padding-right: 10px;
                }

                .signup-form .row div:last-child {
                    padding-left: 10px;
                }

                .signup-form .btn {
                    font-size: 16px;
                    font-weight: bold;
                    background: #3598dc;
                    border: none;
                    min-width: 140px;
                }

                .signup-form .btn:hover, .signup-form .btn:focus {
                    background: #2389cd !important;
                    outline: none;
                }

                .signup-form a {
                    color: #fff;
                    text-decoration: underline;
                }

                .signup-form a:hover {
                    text-decoration: none;
                }

                .signup-form form a {
                    color: #3598dc;
                    text-decoration: none;
                }

                .signup-form form a:hover {
                    text-decoration: underline;
                }

                .signup-form .hint-text {
                    padding-bottom: 15px;
                    text-align: center;
                }
            </style>
 
{% endblock %}
{% block content %}
        <div class="signup-form">
            <form method="POST">
                {% csrf_token %}
                <h2>Sign Up</h2>
                <p>Please fill in this form to create an account!</p>
                <hr>
                {% if form.errors %}
                    <div class="row alert alert-danger m-3 p-3" role="alert">
                        Please correct the errors below and try again!
                    </div>
                {% endif %}

                <div class="form-group">
                    <div class="row">
                        <div class="col"><input type="text" class="form-control" name="first_name"
                                                placeholder="First Name" required="required">
                                            {{form.first_name.errors}}</div>
                        <div class="col"><input type="text" class="form-control" name="last_name"
                                                placeholder="Last Name" required="required">
                                            {{form.last_name.errors}}</div>
                    </div>
                </div>
                <div class="form-group">
                    <input type="text" class="form-control" name="username" placeholder="Username" required="required">
                    {{ form.username.errors }}
                </div>
                <div class="form-group">
                    <input type="email" class="form-control" name="email" placeholder="Email" required="required">
                    {{ form.email.errors }}
                </div>
                <div class="form-group">
                    <input type="password" class="form-control" name="password1" placeholder="Password"
                        required="required">
                    {{ form.password1.errors }}
                </div>
                <div class="form-group">
                    <input type="password" class="form-control" name="password2" placeholder="Confirm Password"
                        required="required">
                    {{ form.password2.errors }}
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-secondary btn-lg">Sign Up</button>
                </div>
            </form>
            <div class="hint-text">Already have an account? <a href="{% url 'login' %}">Login here</a></div>
        </div>
        </body>
        </html>
    </form>
{% endblock %}